Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.stmt
Class Statement

Base class for any statement

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`String` | `statementLabel`

Constructor Summary
`Statement()`

Method Summary
`String` | `getStatementLabel()`
`boolean` | `isEmpty()`
`void` | `setStatementLabel(String label)`

Constructor Detail

### Statement

    public Statement()

Method Detail

### getStatementLabel

    public String getStatementLabel()

### isEmpty

    public boolean isEmpty()

### setStatementLabel

    public void setStatementLabel(String label)